{% extends "userMenu/base.html" %}


{% block bodyBl %}
    <h1 class = "menu-title" >Your shopping cart</h1>
    <table class="cart" >
        <thead>
        <tr>
            <th>Image</th>
            <th>Product</th>
            <th>Quantity</th>
            <th>Remove</th>
            <th>Unit price</th>
            <th>Price</th>
        </tr>
        </thead>
        <tbody>
        {% for item in cart %}
            {% with product=item.product %}
                <tr>
                    <td>
                        <a href="{{ product.get_absolute_url }}">
                            <img src="
                                {% if product.image %}
                                    {{ product.image.url }}
                                {% endif %}" width="50" class = "cart-img">
                        </a>
                    </td>
                    <td>{{ product.name }}</td>
                    <td>{{ item.quantity }}</td>
                    <td><a href="{% url 'cart_remove' product.id%}" class = "cart-link">Remove</a></td>
                    <td class="num">${{ item.price }}</td>
                    <td class="num">${{ item.total_price }}</td>
                </tr>
            {% endwith %}
        {% endfor %}
        <tr class="total">
            <td>Total</td>
            <td colspan="4"></td>
            <td class="num">${{ cart.get_total_price }}</td>
        </tr>
        </tbody>
    </table>
    <br>
    <form method="POST" action = "{% url 'order_create' %}">
        {% csrf_token %}
        <span class = "paragraf" style="font-size: 600%;">Select your place:</span>
        <p style="display: inline-block; font-size: 200%;">{{place_choice.placement}}</p>
        <br>
        <input type="submit" value="Checkout" style="font-size: 500%;">
    </form>
    <br>
    
    <p class="text-right">
        <a href="{% url 'categoriew' %}" class="cart-back">Continue shopping</a>
    </p>
{% endblock %}